#include<bits/stdc++.h>
using namespace std;
long long sol;
int N,M,A[100009],Prijatelji[100009],x,y;
int main(){
   cin>>N>>M;
   for(int i=1; i<=N; i++)cin>>A[i];
   for(int i=1; i<=M; i++){
      cin>>x>>y;
      sol+=abs(A[x]+A[y]);
   }
   cout<<sol<<endl;

   return 0;
}